# Revoke Shared Prototype

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Revoke Shared Prototype"}
>
</Heading>

<MethodEndpoint
  method={"delete"}
  path={"/api/v1/workspaces/{workspace_name}/shared_prototypes/{shared_prototype_id}"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Revokes a shared pipeline prototype. Once you revoke a prototype, users can no longer access it.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"The ID of the shared prototype","in":"path","name":"shared_prototype_id","required":true,"schema":{"description":"The ID of the shared prototype","format":"uuid","title":"Shared Prototype ID","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{}}},"description":"The access to the prototype was revoked successfully."},"404":{"description":"We couldn't find a shared prototype with the given ID. Make sure the ID is correct and try again."},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
